#ifndef _fencer_tilemap_h
#define _fencer_tilemap_h

#include "spritesheet.h"
#include "tileset.h"
#include "level.h"

typedef struct TileInstance TileInstance;
typedef struct Tilemap Tilemap;


extern Tilemap* tilemap_from_autolayer(cJSON* json);
extern void tilemap_destroy(Tilemap* self);

extern void tilemap_set_tileset(Tilemap* self, Tileset* set);

extern void tilemap_draw(Tilemap* tilemap, Transform transform);

#endif // !_fencer_tilemap_h
